<link rel="import" href="../polymer/polymer-element.html">
<link rel="import" href="demo/table.html">

<dom-module id="api-element">
  <template>
    <style>
      :host {
        display: block;
      }
      .empleados {
        width: 100%;
        box-sizing: border-box;
        border: 1px solid rgb(17, 121, 153);
        clear: both;
        overflow: auto;
      }

      .title {
        padding: 10px;
        background-color: rgb(17, 121, 153);
        color: white;
      }

      .search {
        padding: 10px;
      }
      
      .right {
        float: right;
        margin: 10px;
      }

    </style>

    <div class="empleados">
      <div class="title">View: SimplePage</div>
      <div class="search">
          <label>Filter: </label>
          <input type="search" id="key" value="{{valorEscrito::input}}">
      </div>
      <table-element search-string="{{valorEscrito}}" not-match={{notMatch}}></table-element>
      <button class="right">OK</button>
      <button class="right">Cancel</button>
    </div>
  </template>

  <script>
    class ApiElement extends Polymer.Element {
      static get is() { return 'api-element'; }
      static get properties() {
        return {
          employeesMatched: {
            type: Array
          },
          list: {
            type: Array
          },
          valorEscrito: {
            type: String,
            notify: true
          },
          notMatch: {
            type: Boolean,
            value: true,
            notify: true
          }
        };
      }

      constructor(){
        super();
      }

      ready(){
        super.ready();
        this.addEventListener('valor-escrito-changed', (e) => {
          if ( !this.valorEscrito) this.notMatch = true;
          else this.notMatch = false;
        });
      }
      
    }
    window.customElements.define(ApiElement.is, ApiElement);
  </script>
</dom-module>
